/*
 *  Keyboard parameters
 */


#define TIME_OUT             100000         /* security in scrolling */

/*
 *  Keyboard Commands
 */
#define KBD_CMD_RESET        0xFF  /* Reset */
#define KBD_CMD_RESEND       0xFE  /* Resend */
#define KBD_CMD_TYPE_MAKE    0xFD  /* Set Key Type make */
#define KBD_CMD_TYPE_MAKEB   0xFC  /* Set Key Type make/Break */
#define KBD_CMD_TYPEMATIC    0xFB  /* Set Key Type typematic  */
#define KBD_CMD_TMB          0xFA  /* Set all keys typematic/make/break */
#define KBD_CMD_ALL_MAKE     0xF9  /* Set all keys make */
#define KBD_CMD_ALL_MAKE_BREAK    0xF8  /* Set all keys make/Break */
#define KBD_CMD_ALL_TYPE      0xF7  /* Set all keys typematic */
#define KBD_CMD_DEFAULT       0xF6  /* Set default */
#define KBD_CMD_DISABLE       0xF5  /* Disable scanning */
#define KBD_CMD_ENABLE        0xF4  /* Enable scanning */
#define KBD_CMD_RATE          0xF3  /* Set typematic rate/Delay */
#define KBD_CMD_ID            0xF2   /* Read ID */    
#define KBD_CMD_SSS           0xF0  /* Set Scancode Set */   
#define KBD_CMD_ECHO          0xEE  /* Set Echo */
#define KBD_CMD_LEDS          0xED  /* Set keyboard leds */

/* keyboard leds  */
#define SCROLL                0x01  /* Scroll lock */
#define NUM                   0x02  /* Num lock */
#define CAPS                  0x04  /* Caps lock */

