// P.Nouel - ENSEIRB - Novembre 2004
// Souris du projet micropc 
//
// File: souris_ps2_regs.h
//NIOS II version


#ifndef __SOURIS_PS2_REGS_H__
#define __SOURIS_PS2_REGS_H__

#include <io.h>

// Contrainte: Une seule souris, Nom : MOUSE
// constraint: Only one mouse, comonent name : MOUSE

// Registers

#define IORD_MOUSE_STATUS              	  IORD(MOUSE_BASE, 0)
#define IORD_MOUSE_HORIZONTAL             IORD(MOUSE_BASE, 1)
#define IORD_MOUSE_VERTICAL               IORD(MOUSE_BASE, 2)
#define IOWR_MOUSE_CONTROL(data)          IOWR(MOUSE_BASE, 3, data)



// Control /Status Register

#define MOUSE_STATUS_HORIZONTAL		(1 << 6)
#define MOUSE_STATUS_VERTICAL		(1 << 5)
#define MOUSE_STATUS_H_OVERFLOW		(1 << 4)
#define MOUSE_STATUS_V_OVERFLOW		(1 << 3)
#define MOUSE_STATUS_LEFT     	  (1 << 2)
#define MOUSE_STATUS_MIDDLE		(1 << 1)
#define MOUSE_STATUS_RIGHT		(1 << 0)

#endif /* __SOURIS_PS2_REGS_H__ */
